#
# spec file for package mule-ucs-xemacs (Version 0.84)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake compface ctags cyrus-sasl gpm libjpeg libpng libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel xaw3d xemacs xemacs-info xpm xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compface compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xemacs xemacs-info xshared

Name:         mule-ucs-xemacs
Copyright:    GPL
Group:        Applications/Editors/Emacs
Requires:     xemacs >= 21.4.0
Autoreqprov:  on
Version:      0.84
Release:      88
URL:          ftp://ftp.m17n.org/pub/mule/Mule-UCS
Source0:      ftp://ftp.m17n.org/pub/mule/Mule-UCS/Mule-UCS-%{version}.tar.bz2
Summary:      Unicode Extensions for XEmacs
BuildRoot:    %{_tmppath}/%{name}-root/
BuildArch:    noarch

%description
Mule-UCS offers the possibility to use Unicode encoding in
(X)Emacs. It is an Emacs Lisp library to define encoding/decoding
schemes by rather simple translation rules.
This package contains Mule-UCS compiled for XEmacs.
Please read /usr/share/doc/packages/mule-ucs-xemacs/README.Unicode!.

Authors:
--------
    MIYASHITA Hisashi <himi@m17n.org>

SuSE series: e

%prep
%setup -n Mule-UCS-%{version}
mv lisp/ChangeLog lisp/ChangeLog.lisp

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
#make package PACKAGEDIR=%{xemacs_package_dir}
xemacs --no-init --no-site -batch -l mucs-comp.el

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   mkdir -p $RPM_BUILD_ROOT%{xemacs_package_dir}/lisp/mule-ucs/
fi
#make install-package PACKAGEDIR=$RPM_BUILD_ROOT%{xemacs_package_dir}
install -m 644 lisp/*.el{,c} $RPM_BUILD_ROOT%{xemacs_package_dir}/lisp/mule-ucs

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING ChangeLog
%doc lisp/README* lisp/MuleUni.txt lisp/type.txt lisp/ChangeLog.lisp
%{xemacs_package_dir}/lisp/*

%changelog -n mule-ucs-xemacs
* Fri Aug 10 2001 - mfabian@suse.de
- update to version 0.84
* Fri Aug 03 2001 - mfabian@suse.de
- new package: mule-ucs-xemacs, version 0.83
